Bug 1014772 - ghostscript ps2pdf generates empty content.
ghostscript ps2pdf generates empty content.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
19
ppc64 All
unspecified Severity high
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 14:10 EDT by IBM Bug Proxy
Modified: 2014-08-23 22:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: ghostscript-9.14-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-23 22:54:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
simple.ps (31.34 KB, application/octet-stream)
2013-10-02 14:10 EDT, IBM Bug Proxy
no flags Details
generated pdf using f18 (12.40 KB, application/octet-stream)
2013-10-02 14:11 EDT, IBM Bug Proxy
no flags Details
generated pdf using f19 (12.35 KB, application/octet-stream)
2013-10-02 14:11 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 98214 None None None Never
Ghostscript 695235 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-10-02 14:10:42 EDT
== Comment: #0 - William M. Schmidt <willschm@us.ibm.com> - 2013-10-02 13:51:45 ==
Attempting to use ps2pdf   ( ghostscript-9.07-3.fc19.ppc64 ) on a fedora 19 ppc64 install , am finding that the generated pdf files appear empty when viewed with evince or acrobat.

(on an f18 install, gs version 9.06 ) # ps2pdf simple.ps simple.f18.pdf
(on an f19 install, gs version 9.07 ) # ps2pdf simple.ps simple.f19.pdf

viewing the generated pdf files shows blank for simple.f19.pdf, but expected content for simple.f18.pdf

== Comment: #1 - William M. Schmidt <willschm@us.ibm.com> - 2013-10-02 13:53:11 ==
simple.ps used as input.   Contains a single string "this is a sentence.".

== Comment: #2 - William M. Schmidt <willschm@us.ibm.com> - 2013-10-02 13:55:08 ==


== Comment: #3 - William M. Schmidt <willschm@us.ibm.com> - 2013-10-02 13:55:36 ==


== Comment: #4 - Brent J. Baude <baude@us.ibm.com> - 2013-10-02 14:01:31 ==
I checked RHEL6 and this works.  So hopefully that narrows things down a little.
Comment 1 IBM Bug Proxy 2013-10-02 14:10:56 EDT
Created attachment 806665 [details]
simple.ps
Comment 2 IBM Bug Proxy 2013-10-02 14:11:11 EDT
Created attachment 806666 [details]
generated pdf using f18
Comment 3 IBM Bug Proxy 2013-10-02 14:11:23 EDT
Created attachment 806667 [details]
generated pdf using f19
Comment 4 IBM Bug Proxy 2013-10-02 15:00:45 EDT
------- Comment From gusld@br.ibm.com 2013-10-02 18:52 EDT-------
This also affects Fedora 20.
Comment 5 IBM Bug Proxy 2014-08-14 02:30:53 EDT
------- Comment From onmahaja@in.ibm.com 2014-08-14 06:25 EDT-------
Hi Redhat, Any updates here ?

Regards,
Onkar
Comment 6 Tim Waugh 2014-08-15 06:55:02 EDT
Fixed in ghostscript-9.14-4.fc19 / ghostscript-9.14-4.fc20.
Comment 8 Fedora Update System 2014-08-15 07:23:35 EDT
ghostscript-9.14-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghostscript-9.14-4.fc20
Comment 9 Fedora Update System 2014-08-15 07:24:10 EDT
ghostscript-9.14-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghostscript-9.14-4.fc19
Comment 10 Fedora Update System 2014-08-15 20:27:51 EDT
Package ghostscript-9.14-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghostscript-9.14-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9441/ghostscript-9.14-4.fc20
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2014-08-23 22:54:07 EDT
ghostscript-9.14-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.